UPDATE base_urls SET isDefault = true WHERE baseUrlId IN 
	(SELECT f.baseUrlId FROM 
		(SELECT versionId, MIN(baseUrlId) as firstBaseUrl FROM base_urls GROUP BY versionId HAVING SUM(isDefault::int) = 0) 
			as x INNER JOIN base_urls as f ON f.baseUrlId = x.firstBaseUrl AND f.versionId = x.versionId)