-- Create table for comment actions history
CREATE TABLE IF NOT EXISTS comments_actions_history (
   id BIGSERIAL NOT NULL,
   userId int NOT NULL,
   userIp varchar(255) NOT NULL,
   commentId int NOT NULL,
   oldState varchar(255) NOT NULL,
   action varchar(255) NOT NULL,
   date bigint NOT NULL,
   PRIMARY KEY (id),
   FOREIGN KEY (userId) REFERENCES users(userId),
   FOREIGN KEY (commentId) REFERENCES comments(commentId)
);

ALTER TABLE comments DROP COLUMN userIp;